remove pxe-config-link when changing the mac address
Status: Closed   

Priority: Low   

Assignee: Ohad Levy   

Category: TFTP   

Target version: 0.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When I change the MAC-address of a machine that is marked as "Build",

then foreman should remove an existing link with the old mac-address from the TFTP-Server and create a new one.

Related issues:

Is duplicate of Foreman - Bug #718: Permission denied trying to write to tftp... Duplicate 03/08/2011

Associated revisions

Revision 5942416f - 03/09/2011 05:37 AM - Ohad Levy

fixes #702 - remove pxe-config-link when changing the mac address

this also ensures that the legacy TFTP system won't be called once a smart proxy is in use.

History

#1 - 03/02/2011 08:15 AM - Ohad Levy

Alex,

Which version of foreman are you using? afaik, the latest git develop branch already does that (assuming you are using the smart proxy to configure

tftp).

#2 - 03/03/2011 04:22 AM - Alexander Rusa

I pulled the latest version now and there were some updates for foreman and smart-proxy, but the behavior is still reproducible.

1. I set an existing machine to "Build"

2. The symlink /tftpboot/pxelinux.cfg/<mac>gets created

3. I change the MAC address of the Host

4. The symlink does not change.

If I now click "Cancel Build" and "Build" I have symlinks for both MAC addresses.

#3 - 03/03/2011 09:05 AM - Ohad Levy

- Category set to TFTP

- Assignee set to Ohad Levy

- Target version set to 0.2

You are correct - however :)

we left the old tftp behavior in place not to break anyones current foreman deployment.

the new way of managing tftp services is using a smart proxy, which would also remove the entry.

I agree we can fix the legacy setup as well - thanks.

#4 - 03/09/2011 04:42 AM - Ohad Levy

- Status changed from New to Duplicate

05/13/2024 1/2



#5 - 03/09/2011 04:42 AM - Ohad Levy

- Status changed from Duplicate to New

#6 - 03/09/2011 04:49 AM - Ohad Levy

- Status changed from New to Assigned

this will only be officially supported with a smart proxy.

#7 - 03/09/2011 06:30 AM - Ohad Levy

- Status changed from Assigned to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 5942416f5895aed1d4013037913579e72d57b162.

#8 - 03/09/2011 06:33 AM - Ohad Levy

- Status changed from Ready For Testing to Closed
